Usage in Unity3D

Topics: Backward Compatibility, Midi, VST.NET Framework
Oct 30, 2016 at 12:37 PM
Hey there,

Is there a possibility to make both this Library and your other Library, MIDI.net,
compatible with Unity3D? Sadly, Unity only supports CLR 2.0, even though it seems
to be compatible with Code up to 3.5 .
Coordinator
Nov 4, 2016 at 12:22 PM
Edited Nov 4, 2016 at 12:27 PM
There are clr2 projects in the source code. Try to build those.
Nov 20, 2016 at 1:54 PM
Thank you!

I found the Build_CLR2.cmd in the Source. If I understand correctly, I have to execute this to get the CLR 2.0 .dlls?
I'm no expert on .NET at all, I'm afraid.
Can you give me an overview on how one would proceed to get the .dll files?
Nov 26, 2016 at 4:08 PM
Hey,

I tried around a little bit, and when i execute any off the .cmd data (I tried Build_CLR2 and BuildAndPackageRTW),
I get a whole bunch of errors. As far as I understand the error messages, its not finding the assembly data, even though it's all there.
the code for the warning is warning MSB3245

Help me Obi Wan Jacobi!
You're my only hope!



:D
Coordinator
Apr 21 at 12:44 PM
First I am very sorry I did not see your message sooner. It seems codeplex does not send notification emails anymore.

That is an MSBuild error/warning. I think I'll need a bit more info in order to help you.
Please post the errors/warnings.